Better ListView Class Reference |

# BetterListViewColumnHeader Members

BetterListViewColumnHeader overview

#### Public Static Fields

DefaultSortMethod | default method of column sorting
DefaultSortOrder | default order of column sorting

#### Public Instance Constructors

BetterListViewColumnHeader | Overloaded. Initializes a new instance of the BetterListViewColumnHeader class.

#### Public Instance Properties

AlignHorizontal | horizontal alignment of the column header text
AlignHorizontalImage | horizontal alignment of the column header image
AlignVertical | vertical alignment of the column header text
AlignVerticalImage | vertical alignment of the column header image
AllowResize | allow column to be resized
Bounds | Gets column header boundaries.
DisplayIndex | Gets of sets visual order of the column header with respect to other visible column headers.
DisplayMember | property to display on list items in the specific column
Font | font of the column header text
ForeColor | foreground color the column header text
ImageList | Gets the ImageList associated with this column header.
ListView | BetterListView instance in which this column header is contained
MaximumWidth | maximum allowed width of the column header
MinimumWidth | minimum allowed width of the column header
NextVisibleColumnHeader | next column header visible in the control
PreferredSortOrderAscending | preferred sort order for this column is ascending order
PreviousVisibleColumnHeader | previous column header visible in the control
SmoothResize | Gets or sets a value indicating whether to dynamically resize items when resizing the column.
SortMethod | column sorting method
SortOrder | column sorting order
Style | style of the column header determining its behavior on mouse clicking
Text | text of the column header
TextTrimming | column header text trimming
ToolTips | information about ToolTips shown on this column header
ValueMember | property to use for a corresponding sub-item value
Visible | the column header is visible
Width | column header width in pixels

#### Public Instance Methods

AutoResize | Resize this column to fit its content.
Clone | Creates a new object that is a copy of the current instance.
CompareTo | Compares the current object with another object of the same type.
EqualsContent | Check whether properties of this element equals properties of the specified element.
Hide | Hide this column header.
Invalidate | Invalidate this column header for redrawing.
Remove | Remove element from its owner collection.
Show | Show this column header.
ToString | Returns a String that represents the current Object.

#### Protected Instance Methods

CopyTo | Copy content of this instance to the specified BetterListViewElementBase instance.
GetAccessibilityInstance | Get accessible object instance for this column header.
GetObjectDataInternal | Populates a SerializationInfo with the data needed to serialize the target object.
ReadXmlInternal | Generates an object from its XML representation.
WriteXmlInternal | Converts an object into its XML representation.

#### See Also

BetterListViewColumnHeader Class | ComponentOwl.BetterListView Namespace